.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptConstant.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptConstant:

VisualScriptConstant
====================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Gets a contant's value.

Member Variables
----------------

  .. _class_VisualScriptConstant_type:

- :ref:`Type<enum_variant_type>` **type** - The constant's type.

  .. _class_VisualScriptConstant_value:

- :ref:`Variant<class_variant>` **value** - The constant's value.


Description
-----------

This node returns a constant's value.

**Input Ports:**

none

**Output Ports:**

- Data (variant): ``get``

